> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udspeeddial.md).

# New-UDSpeedDial

### Sinossi

Quando viene premuto, un pulsante di azione flottante può visualizzare da tre a sei azioni correlate sotto forma di Speed Dial.

### Sintassi

```powershell
New-UDSpeedDial [[-Id] <String>] [[-Children] <ScriptBlock>] [[-Direction] <String>] [[-Icon] <Hashtable>] [[-OnClose] <Endpoint>] [[-OnOpen] <Endpoint>] [[-OnActionClick] <Endpoint>] [<CommonParameters>]
```

### Descrizione

Quando viene premuto, un pulsante di azione flottante può visualizzare da tre a sei azioni correlate sotto forma di Speed Dial.

### Parametri

#### -Id

L'ID di questo componente. Per impostazione predefinita è un GUID casuale.

```
Required?                    false
Position?                    1
Default value                ([Guid]::NewGuid().ToString())
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Children

Azioni per questo speed dial. Utilizzi New-UDSpeedDialAction per creare le azioni.

```
Required?                    false
Position?                    2
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Direction

La direzione in cui si apre lo speed dial. I valori validi sono up, down, left e right.

```
Required?                    false
Position?                    3
Default value                up
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -Icon

L'icona per lo speed dial. Utilizzi New-UDIcon per creare un'icona.

```
Required?                    false
Position?                    4
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnClose

Uno scriptblock da chiamare quando lo speed dial si chiude.

```
Required?                    false
Position?                    5
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnOpen

Uno scriptblock da chiamare quando lo speed dial si apre.

```
Required?                    false
Position?                    6
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false
```

#### -OnActionClick

Uno scriptblock da chiamare quando si fa clic su un'azione.

```
Required?                    false
Position?                    7
Default value
Accept pipeline input?       false
Aliases
Accept wildcard characters?  false

    <CommonParameters>
        This cmdlet supports the common parameters: Verbose, Debug,
        ErrorAction, ErrorVariable, WarningAction, WarningVariable,
        OutBuffer, PipelineVariable, and OutVariable. For more information, see
        about_CommonParameters (https://go.microsoft.com/fwlink/?LinkID=113216).
```

### Output

\-------------------------- EXAMPLE 1 --------------------------

```
PS >New-UDSpeedDial -Content {
PS >    New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'User') -TooltipTitle 'My Account'
PS >    New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Users') -TooltipTitle 'Groups'
PS >    New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Save') -TooltipTitle 'Save'
PS >    New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'File') -TooltipTitle 'Open'
PS > } -Icon (New-UDIcon -Icon 'Plus') -Id 'speedDial1'

Basic Speed Dial|Creates a basic speed dial.




-------------------------- EXAMPLE 2 --------------------------

PS >New-UDSpeedDial -Content {
PS >    New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'User') -TooltipTitle 'My Account' -Id 'myAccount'
PS >    New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Users') -TooltipTitle 'Groups'
PS >    New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'Save') -TooltipTitle 'Save'
PS >    New-UDSpeedDialAction -Icon (New-UDIcon -Icon 'File') -TooltipTitle 'Open'
PS > } -Icon (New-UDIcon -Icon 'Plus') -Id 'speedDial2' -OnActionClick {
PS >    Show-UDToast "Ouch! You clicked $EventData"
PS > }

OnClick|Creates a speed dial with an OnClick action.
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.devolutions.net/powershell-universal/it/comandi-powershell/new-udspeeddial.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
